> ## Documentation Index
> Fetch the complete documentation index at: https://www.krea.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Custom Agents

> List the workspace's custom agents. Pass an id as customAgentId to send-message to start a session with that agent. Requires custom agents in the workspace plan.



## OpenAPI

````yaml https://api.krea.ai/openapi.json get /agent/custom-agents
openapi: 3.1.0
info:
  title: Krea API
  version: v1
servers:
  - url: https://api.krea.ai
    description: Krea API
security:
  - bearerAuth: []
tags:
  - name: General
    description: Core API operations including job management and billing information
  - name: Krea
    description: Krea-owned generation models including Krea 2
  - name: Assets
    description: >-
      Asset management endpoints for uploading and managing images, videos,
      audio files, and 3D models
  - name: Styles
    description: Style (LoRA) generation and management endpoints
  - name: Node Apps
    description: Executing custom node apps built in our nodes tool
  - name: Image
    description: Image generation endpoints
  - name: Image Enhance
    description: Image enhance endpoints
  - name: Video
    description: Video generation endpoints
  - name: Video Enhance
    description: Video enhance and upscale endpoints
  - name: 3D
    description: 3D model generation endpoints
  - name: Audio
    description: Speech and audio generation endpoints
  - name: Usage
    description: Workspace usage reporting
  - name: Agent
    description: Krea Agent sessions
  - name: Utilities
    description: Miscellaneous utility endpoints
paths:
  /agent/custom-agents:
    get:
      tags:
        - Agent
      summary: List Custom Agents
      description: >-
        List the workspace's custom agents. Pass an id as customAgentId to
        send-message to start a session with that agent. Requires custom agents
        in the workspace plan.
      responses:
        '200':
          description: The workspace custom agents, sorted by name.
          content:
            application/json:
              schema:
                type: object
                properties:
                  customAgents:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        name:
                          type: string
                        description:
                          type: string
                        imageUrl:
                          type:
                            - string
                            - 'null'
                        createdAt:
                          type: string
                          format: date-time
                        updatedAt:
                          type: string
                          format: date-time
                      required:
                        - id
                        - name
                        - description
                        - imageUrl
                        - createdAt
                        - updatedAt
                required:
                  - customAgents
        '401':
          description: Authentication required.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  code:
                    type: string
                  allowedModels:
                    type: array
                    items:
                      type: string
                required:
                  - error
                additionalProperties: false
        '403':
          description: >-
            Custom agents are not included in the workspace plan, or an admin
            turned off Agent for the caller.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  code:
                    type: string
                  allowedModels:
                    type: array
                    items:
                      type: string
                required:
                  - error
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      bearerFormat: Bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.